import { HttpClient } from '@angular/common/http';
import { HttpHeaders } from '@angular/common/http';
import { ComService } from './com.service';
import { Observable, Subscription } from 'rxjs';
import { HttpErrorHandler } from './http-error-handler.service';
export declare class AppService {
    private http;
    private comService;
    webchatUrl: string;
    subscription: Subscription;
    botTokenHeader: HttpHeaders;
    secretSetting: boolean;
    private handleError;
    constructor(http: HttpClient, comService: ComService, httpErrorHandler: HttpErrorHandler);
    /** GET temporary token from the server api */
    getTokenObs(): Observable<any>;
    makeIntentionalError(): Observable<Object | any[]>;
}
